/* NickServ special help texts.
 *
 * SirvNET Services is copyright (c) 1998-2000 Trevor Klingbeil.
 *     E-mail: <priority1@dal.net>
 * Originally based on EsperNet Services(c) by Andy Church.
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

/*************************************************************************/

static const char *ns_servadmin_help[] = {
"NickServ Commands:",
"",
"    SENDPASS   E-Mail nick password to the owner",
"",
"The following commands are available to IRCop:",
"",
"    FLIST      List users with specified flag",
"",
"The following commands are available to Services Operators:",
"",
"    FORBID     Prevent a nickname from being used",
"",
"The following commands are available to Services Admins:",
"",
"    GETPASS    Retrieve the password for a nickname",
"    SETFLAG    Set a users flag +HOP +SOP",
"    HOLD       Set a registered nickname as held",
"    MARK       Set a registered nickname as marked",
"",
"The following commands are available to Services Roots:",
"",
"    DELETE     Drop a currently registered nickname",
"    SETPASS    Change a nickname password",
NULL
};

/*************************************************************************/

static const char *oper_delete_help[] = {
"Syntax: \2DELETE \37nickname\37\2",
"",
"Without a parameter, drops your nickname from the",
"NickServ database.",
NULL
};

/*************************************************************************/

static const char *flist_help[] = {
"Syntax: \2FLIST [\37HELD\37|\37MARKED\37|\37FORBIDDEN\37]\2",
"",
"Lists all registered nicknames that have the specified",
"flag settings.",
"This command is limited to \2IRC Operators\2",
NULL
};

/*************************************************************************/

static const char *oper_list_help[] = {
"Syntax: \2LIST \37pattern\37\2",
"",
"Lists all registered nicknames which match the given",
"pattern, in \37nick!user@host\37 format.  Nicks with the",
"PRIVATE option set will only be displayed to Services",
"admins.",
"",
"Examples:",
"",
"    \2LIST *!joeuser@foo.com\2",
"        Lists all nicks owned by joeuser@foo.com.",
"",
"    \2LIST *Bot*!*\2",
"        Lists all registered nicks with Bot in their",
"        names (case insensitive).",
"",
"    \2LIST *!*@*.bar.org\2",
"        Lists all nicks owned by users in the bar.org",
"        domain.",
NULL
};

/*************************************************************************/

static const char *getpass_help[] = {
"Syntax: \2GETPASS \37nickname\37\2",
"",
"Returns the password for the given nickname.  \2Note\2 that",
"whenever this command is used, a message including the",
"person who issued the command and the nickname it was used",
"on will be logged and sent out as a GLOBOPS.",
"Limited to \2Services Admin\2.",
NULL
};

/*************************************************************************/

static const char *forbid_help[] = {
"Syntax: \2FORBID \37nickname\37\2",
"Syntax: \2FORBID -\37nickname\37\2",
"",
"Disallows a nickname from being registered or used by",
"anyone.  May be cancelled by deleting the nick.",
"Adding a '-' infront of the nick will remove it as forbidden",
"Limited to \2Services Operators\2.",
NULL
};

/*************************************************************************/

static const char *mark_help[] = {
"Syntax: \2MARK \37nickname\37\2",
"Syntax: \2MARK -\37nickname\37\2",
"",
"Disallows a nickname from being getpassed.",
"MARK is generally used if a services admin has denied",
"a user from receiving a password, and is used to inform",
"the rest of the network not to getpass the nick.",
"Adding a '-' infront of the nick will remove it as marked",
"Limited to \2Services Admins\2.",
NULL
};

/*************************************************************************/

static const char *sendpass_help[] = {
"Syntax: \2SENDPASS \37nickname\37\2",
"",
"Sends an E-Mail to the nick's E-Mail address.",
"This option only works if the E-Mail field has",
"been specified.",
"Limited to \2Services helpop or Global IRCop\2",
NULL
};

/*************************************************************************/

static const char *hold_help[] = {
"Syntax: \2HOLD \37nickname\37\2",
"Syntax: \2HOLD -\37nickname\37\2",
"",
"Prevents a nickname from being expired.",
"Adding a '-' infront of the nick will remove it as held",
"Limited to \2Services Admins\2.",
NULL
};
/*************************************************************************/
static const char *setpass_help[] = {
"Syntax: \2SETPASS \37nickname\37\2 \2password\2",
"",
"Changing nickname password without have to know the old pass.",
"Limited to \2Services Master\2.",
NULL
};
/*************************************************************************/
static const char *setflags_help[] = {
"Syntax: \2SETFLAG \37nickname\37\2 \2flag\2  ON/OFF",
" ",
"Setting nickname flag.",
"Flags: AUTH HOP SOP MALAY PRIVMSG EMAILMEMO NOOP",
"Limited to \2Services Admin\2.",
NULL
};
/*************************************************************************/
